using EDPlayerJournal;
using EDPlayerJournal.BGS;
using System.Linq;

namespace EliteBGS.LogGenerator;

class VistaGenomicsFormat : GenericFormat<OrganicData> {
    public override string GenerateSummary(Objective objective) {
        long profit = objective
            .EnabledOfType<OrganicData>()
            .Sum(x => x.TotalValue)
            ;
        if (profit <= 0) {
            return "";
        }
        return string.Format("Organic: {0} Profit", Credits.FormatMillions(profit));
    }
}
